apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "ipmi-sensors.fullname" . }}
  labels:
    {{- include "ipmi-sensors.labels" . | nindent 4 }}
data:
  {{- if .Values.telegrafSidecar.enabled }}
  telegraf.conf: |+
    [agent]
      interval = "{{ .Values.telegrafSidecar.scrapeInterval }}s"
      round_interval = true
      logfile = ""
      omit_hostname = true

    [[inputs.prometheus]]
      urls = ["http://localhost:{{ .Values.metricsPort }}"]
      metric_version = 1

    [[outputs.influxdb]]
      urls = ["{{- include "ipmi-sensors.influxdb-url" . }}"]
      database = "{{ .Values.telegrafSidecar.influxdbDatabase }}"
      tagexclude =  {{ .Values.telegrafSidecar.tagexclude | toJson }}
      namepass = {{ .Values.telegrafSidecar.namepass | toJson }}

    # rename prometheus types to "value"
    [[processors.rename]]
      [[processors.rename.replace]]
        field = "gauge"
        dest = "value"
      [[processors.rename.replace]]
        field = "counter"
        dest = "value"
      
    [[outputs.health]]
      service_address = "http://:8888"
      [[outputs.health.compares]]
        field = "buffer_size"
        lt = 5000.0
      [[outputs.health.contains]]
        field = "buffer_size"
    [[inputs.internal]]
      collect_memstats = false
  {{- end }}